package de.hsel.itech.servlet;

import de.hsel.itech.db.Database;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * Database test.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/
public class DbTest extends HttpServlet {

    private static final long serialVersionUID = 15679036734L;

    /**
     * doGet.
     *
     * @param req  Request
     * @param resp Response
     * @throws IOException failed
     */
    @Override
    protected void doGet(final HttpServletRequest req, final HttpServletResponse resp)
            throws IOException {

        resp.setContentType("text/html");
        final PrintWriter out = resp.getWriter();
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Hallo Welt!</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1>" + Database.getInstance().getHello() + "</h1>");
        out.println("</body>");
        out.println("</html>");
    }
}